Bug 1839152 - VM Import wizard should inform the user that ovirt credentials are in a wrong format
Summary: VM Import wizard should inform the user that ovirt credentials are in a wrong...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: V2V
Version: 2.4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 2.4.0
Assignee: Piotr Kliczewski
QA Contact: Daniel Gur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-22 15:11 UTC by Filip Krepinsky
Modified: 2020-07-13 17:41 UTC (History)
8 users (show)

Fixed In Version: v2v 2.4.0, OCP 4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:41:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5542 0 None closed Bug 1839152: inform user about wrong credentials and url of ovirt env 2020-06-29 11:35:58 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:41:27 UTC

Description Filip Krepinsky 2020-05-22 15:11:47 UTC
Description of problem:
The user might forget that @profile should be included in the username or that API URL is in a wrong form


Expected results:
a warning which should inform the user that the format is incorrect.

Comment 3 Radim Hrazdil 2020-05-27 08:19:14 UTC
Moving to V2V

Comment 4 Guohua Ouyang 2020-05-27 08:32:53 UTC
Should the warning message be red? Like all warning messages are red in wizard process.

Comment 5 Filip Krepinsky 2020-05-27 10:31:50 UTC
Error messages are red. These are just informational - for example it might be possible that the URL does not end with /ovirt-engine/api

Comment 6 Guohua Ouyang 2020-05-27 11:58:53 UTC
verified on upstream 4.5 branch, commit 88b7689b0fb3dfc557d9e06dc509952b9233661e.

Comment 13 errata-xmlrpc 2020-07-13 17:41:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.